ChaCha Struct Reference

ChaCha stream cipher. More...

`#include <chacha.h>`

Inheritance diagram for ChaCha:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< ChaCha_Policy, AdditiveCipherTemplate<> >, ChaCha_Info > | Encryption
| ChaCha Encryption.
typedef Encryption | Decryption
| ChaCha Decryption.
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from ChaCha_Info
static const char * | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from VariableKeyLength< 32, 16, 32, 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.
Static Public Attributes inherited from VariableKeyLength< 32, 16, 32, 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.

## Detailed Description

ChaCha stream cipher.

This is Bernstein and ECRYPT's ChaCha. It is _slightly_ different from the IETF's version of ChaCha called ChaChaTLS.

See also
  ChaCha, a variant of Salsa20 (2008.01.28).

Since
  Crypto++ 5.6.4

Definition at line 86 of file chacha.h.

## Member Typedef Documentation

## Encryption

typedef SymmetricCipherFinal<ConcretePolicyHolder<ChaCha_Policy, AdditiveCipherTemplate<> >, ChaCha_Info > ChaCha::Encryption

ChaCha Encryption.

Definition at line 89 of file chacha.h.

## Decryption

typedef Encryption ChaCha::Decryption

ChaCha Decryption.

Definition at line 91 of file chacha.h.

The documentation for this struct was generated from the following file:

- chacha.h